LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLoadable Interface Referencepublished

offers a simple way to initialize a component or load it from a URL. More...

`import"XLoadable.idl";`

Inheritance diagram for XLoadable:

## Public Member Functions
void | initNew () raises ( DoubleInitializationException, com::sun::star::io::IOException, com::sun::star::uno::Exception )
| creates a component from scratch More...
void | load ([in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( DoubleInitializationException, com::sun::star::io::IOException, com::sun::star::uno::Exception )
| loads a component from a URL More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers a simple way to initialize a component or load it from a URL.

In case an object supports the interface the object must be initialized with either initNew() or load() call before any usage. In case the object is already initialized the mentioned methods should throw DoubleInitializationException.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ initNew()

void initNew | ( |  | ) |
raises | ( | DoubleInitializationException,
|  | com::sun::star::io::IOException,
|  | com::sun::star::uno::Exception
| ) |  |

creates a component from scratch

## ◆ load()

void load | ( | [in] sequence< com::sun::star::beans::PropertyValue > | lArguments | ) |
raises | ( | DoubleInitializationException,
|  | com::sun::star::io::IOException,
|  | com::sun::star::uno::Exception
| ) |  |

loads a component from a URL

Parameters

  lArguments | parameters for saving (see com::sun::star::document::MediaDescriptor for further details) the FileName parameter must be specified, other parameters are optional

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XLoadable.idl